com.google.gwt.event.dom.client

## Interface HasChangeHandlers

All Superinterfaces:
  HasHandlers

All Known Implementing Classes:
  DoubleBox, FileUpload, IntegerBox, ListBox, LongBox, PasswordTextBox, TextArea, TextBox, TextBoxBase, ValueBox, ValueBoxBase

    public interface HasChangeHandlers
    extends HasHandlers

A widget that implements this interface provides registration for `ChangeHandler` instances.

### Method Summary

All Methods Instance Methods Abstract Methods
`HandlerRegistration` `addChangeHandler(ChangeHandler handler)` Adds a `ChangeEvent` handler.

### Methods inherited from interface com.google.gwt.event.shared.HasHandlers

`fireEvent`

### Method Detail

#### addChangeHandler

    HandlerRegistration addChangeHandler(ChangeHandler handler)

Adds a `ChangeEvent` handler.

Parameters:
  `handler` - the change handler
Returns:
  `HandlerRegistration` used to remove this handler